﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=12.2
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	Public Color As Int
End Sub

Sub Globals
	Dim xui As XUI
	Dim bar As StdActionBar
	Dim dg As B4XDialog
	Private ListOfColorsPanel As B4XView
	Private clrsList As List
End Sub

Sub Activity_Create(FirstTime As Boolean)
	bar.Initialize("bar")
	bar.NavigationMode = bar.NAVIGATION_MODE_STANDARD
	bar.ShowUpIndicator = True
	
	dg.Initialize(Activity)
	dg.Title = "Select a Color"
	dg.BorderWidth = 1dip
	dg.BorderColor = xui.Color_White
	dg.TitleBarColor = xui.Color_White
	dg.TitleBarTextColor = xui.Color_Black
	dg.BackgroundColor = xui.Color_White
	dg.ButtonsColor = xui.Color_White
	
	Activity.LoadLayout("SelectColor")
	
	clrsList.Initialize
	For Each line As String In File.ReadList(File.DirAssets, "colors.txt")
		clrsList.Add(line)
	Next
	BuildDialog
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

Sub Activity_ActionBarHomeClick
	Color = 0
	Activity.Finish
End Sub


Sub BuildDialog
	If ListOfColorsPanel.IsInitialized = False Then BuildListOfColors
	Dim rs As ResumableSub = dg.ShowCustom(ListOfColorsPanel,"","","CANCEL")
	Wait For (rs) Complete (Result As Int)
	If Result = xui.DialogResponse_Positive Then
		Log("Yes!")
	Else If Result = xui.DialogResponse_Cancel Then
		dg.Close(xui.DialogResponse_Cancel)
		Activity.Finish
	End If
End Sub

Sub BuildListOfColors
	ListOfColorsPanel = xui.CreatePanel("")
	ListOfColorsPanel.SetLayoutAnimated(0,0,0,85%x,80%y)
	ListOfColorsPanel.LoadLayout("SelectColor")
	ListOfColorsPanel.SetColorAndBorder(xui.Color_White,1dip,xui.Color_White,0dip)
	
	Dim lst As List
	lst.Initialize
	For Each line As String In File.ReadList(File.DirAssets,"colors.txt")
		lst.Add(line)
	Next
	
	Dim counter As Int = 0
	
	For Each v As B4XView In ListOfColorsPanel.GetAllViewsRecursive
		If v Is Label Then
			Dim l As Label = v
			Dim b As B4XView = l
			
			Dim cl As String = lst.Get(counter)
			Dim clr As Int = Bit.Or(0xff000000, Bit.ParseInt(cl,16))
			Dim cdr As ColorDrawable
			cdr.Initialize(clr,100)
			l.Background = cdr
			
			counter = counter + 1
			
			If b.Color = Color Then
				l.Text = Chr(0xE876)
			End If
		End If
	Next
End Sub



Private Sub PickColor_Click
	Dim lbl As B4XView = Sender
	Main.Color = lbl.Color
	Activity.Finish
End Sub